package cn.com.countrygarden.bi.main.service.resident;

import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.resident.ResidentContract;
import cn.com.countrygarden.bi.main.model.resident.ResidentContractParty;

import java.util.List;

/**
 * Created by chenweijiang on 2017/11/13.
 */
public interface ResidentContractService {
    PageData listContract(String userCode, ResidentContract query, int page, int size);

    void createContract(ResidentContract contract, String userCode);

    void updateContract(ResidentContract contract, String userCode);

    void expired(Integer contractId, String userCode);

    void updateStatus(Integer contractId, String userCode, String status);

    List<ResidentContractParty> exportPartyB();
}
